
const app = getApp()
import {
  Base
} from '../../../utils/base.js';
const base = new Base()
Page({
  data: {
    activeIndex: 1,
    datalList: [],
    locked:false
  },


  onLoad: function (options) {
    this.getList();
    this.getMyclasslist();
    this.getList();
  },
  getList: function () {
    wx.showLoading({
      title: '加载中',
    })
    const { coach_id } = this.data;
    let params = {
      url: 'coach/roblist',
      data: {
        coach_id : 5
      },
      callback:(data)=>{
        console.log(data)
        wx.hideLoading();
        this.setData({
          datalList: data,
          locked:false
        })
        console.log(data)
      }
    }
    base.newRequest(params)
  },
  getMyclasslist: function () {
    wx.showLoading({
      title: '加载中...',
    })
    const { coach_id } = this.data;
    let params = {
      url:'coach/myclasses',
      data : {
        coach_id : 5
      },
      callback: (data) =>{
        console.log(data)
        wx.hideLoading();
        this.setData({  
          datalList:data,
          locked:false
        })
      }
    }
    base.newRequest(params)
  },
  getrobclass : function () {
    const { coach_id, class_id} = this.data
    let params = {
      url:'coach/robclass',
      data : {
        coach_id : 5,
        class_id : 16
      },
      callback : (data) => {
        console.log(data)
        this.setData({
            datalList: data
        })
      }
    }
    base.newRequest(params)
  },
  changeTab(e) {
    let index = e.currentTarget.dataset.index
    if (this.data.activeIndex != index) {
      this.setData({
        activeIndex: index
      })
    }
  },
  goteamDetail (e) {
    let item = e.currentTarget.dataset.item
    console.log(item)
    wx.navigateTo({
      url: '../../team/teamDetail/teamDetail?lesson_id=' + item.lesson_id,
    })
  },
  initData:function(){
    this.setData({
      datalList:[],
      locked:false
    })
  },
  onPullDownRefresh: function () {
    this.initData()
    if(!this.data.locked){
      this.setData({
        locked:true
      })
      this.onLoadFun();
    }
    wx.stopPullDownRefresh()
  },
})
